Prerequisite for building xindy is the clisp package supporting
foreign function calls functionality.

If your OS distribution already has CLISP installed, xindy will try to
use it (the configure script searches in PATH to find the `clisp'
executable, or you can pass the configure option --with-clisp=PATH
where PATH is an absolute path to the `clisp' executable).

Otherwise, you need to build CLISP from source before building xindy.
Sources and selected binaries are available by anonymous ftp from
  <ftp://ftp.gnu.org/pub/gnu/clisp/>
and its mirrors.

Sample steps to build clisp:

=======================================================
# define this to any directory where clisp should be built, e.g.:
clisp_builddir=`pwd`/clisp-build-dir

wget http://ftp.gnu.org/pub/gnu/clisp/release/2.43/clisp-2.43.tar.gz
gzip -dc clisp-2.43.tar.gz | tar xf -

cd clisp-2.43
./configure $clisp_builddir --ignore-absence-of-libsigsegv
cd $clisp_builddir
make
=======================================================

NOTE: clisp package is only a build-dependency: it is not used by
xindy at runtime. So clisp could be uninstalled after xindy was built.
Therefore, running "make install" is not necessary, and you can
specify --with-clisp=$clisp_builddir/clisp when configuring xindy.

When running `configure' for clisp, the following options should be noted:

=======================================================
  --ignore-absence-of-libsigsegv

    You may optionally install libsigsegv to improve clisp's runtime
    behavior.  You may get libsigsegv sources from
    http://ftp.gnu.org/pub/gnu/libsigsegv/

    If you don't have the libsigsegv library, use the above option to
    let it build without libsigsegv.

  --with-libsigsegv-prefix=DIR
  --with-libffcall-prefix=DIR

    In case you have installed libffcall or libsigsegv in some
    non-standard locations, use the above options to specify their
    prefix directories (such as /usr/local, /opt or /sw).

  --without-readline

    It was reported that CLISP fails to build on the MacOS X platform,
    because of the faulty 'readline' package. Use the above option if
    you'll experience problems.
=======================================================

As noted above, running "make install" for clisp is not necessary, and
you can specify --with-clisp=$clisp_builddir/clisp when configuring
xindy.
